## WebKitDOMHTMLBaseFontElement WebKitDOMHTMLBaseFontElement |

## Functions

gchar * | webkit_dom_html_base_font_element_get_color ()
gchar * | webkit_dom_html_base_font_element_get_face ()
glong | webkit_dom_html_base_font_element_get_size ()
void | webkit_dom_html_base_font_element_set_color ()
void | webkit_dom_html_base_font_element_set_face ()
void | webkit_dom_html_base_font_element_set_size ()

## Description

## Functions

### webkit_dom_html_base_font_element_get_color ()

    gchar *
    webkit_dom_html_base_font_element_get_color
                                   (WebKitDOMHTMLBaseFontElement *self);

`webkit_dom_html_base_font_element_get_color` has been deprecated since version 2.12 and should not be used in newly-written code.

This function has been removed from the DOM spec and it just returns `NULL`.

#### Parameters

self | A WebKitDOMHTMLBaseFontElement |

#### Returns

A gchar

### webkit_dom_html_base_font_element_get_face ()

    gchar *
    webkit_dom_html_base_font_element_get_face
                                   (WebKitDOMHTMLBaseFontElement *self);

`webkit_dom_html_base_font_element_get_face` has been deprecated since version 2.12 and should not be used in newly-written code.

This function has been removed from the DOM spec and it just returns `NULL`.

#### Parameters

self | A WebKitDOMHTMLBaseFontElement |

#### Returns

A gchar

### webkit_dom_html_base_font_element_get_size ()

    glong
    webkit_dom_html_base_font_element_get_size
                                   (WebKitDOMHTMLBaseFontElement *self);

`webkit_dom_html_base_font_element_get_size` has been deprecated since version 2.12 and should not be used in newly-written code.

This function has been removed from the DOM spec and it just returns 0.

#### Parameters

self | A WebKitDOMHTMLBaseFontElement |

#### Returns

A glong

### webkit_dom_html_base_font_element_set_color ()

    void
    webkit_dom_html_base_font_element_set_color
                                   (WebKitDOMHTMLBaseFontElement *self,
                                    const gchar *value);

`webkit_dom_html_base_font_element_set_color` has been deprecated since version 2.12 and should not be used in newly-written code.

This function has been removed from the DOM spec and it does nothing.

#### Parameters

self | A WebKitDOMHTMLBaseFontElement |
value | A gchar |

### webkit_dom_html_base_font_element_set_face ()

    void
    webkit_dom_html_base_font_element_set_face
                                   (WebKitDOMHTMLBaseFontElement *self,
                                    const gchar *value);

`webkit_dom_html_base_font_element_set_face` has been deprecated since version 2.12 and should not be used in newly-written code.

This function has been removed from the DOM spec and it does nothing.

#### Parameters

self | A WebKitDOMHTMLBaseFontElement |
value | A gchar |

### webkit_dom_html_base_font_element_set_size ()

    void
    webkit_dom_html_base_font_element_set_size
                                   (WebKitDOMHTMLBaseFontElement *self,
                                    glong value);

`webkit_dom_html_base_font_element_set_size` has been deprecated since version 2.12 and should not be used in newly-written code.

This function has been removed from the DOM spec and it does nothing.

#### Parameters

self | A WebKitDOMHTMLBaseFontElement |
value | A glong |

## Types and Values